DCMTK: FGRealWorldValueMapping Class Reference

DCMTK Version 3.6.9 OFFIS DICOM Toolkit

Loading...
Searching...
No Matches
Classes | Public Member Functions | Private Attributes | List of all members
FGRealWorldValueMapping Class Reference

Class representing the Real World Value Mapping Functional Group that specifies the mapping of stored values to associated Real World values. More...

Inheritance diagram for FGRealWorldValueMapping:

## Classes
class | RWVMItem
| Class representing the Real World Value Mapping Item Macro: Attribute name: (VR, VM, Requirement Type) Real World Value First Value Mapped: (US or SS, 1, 1) Real World Value Last Value Mapped: (US or SS, 1, 1) Real World Value Intercept: (FD, 1, 1C) Real World Value Slope: (FD, 1, 1C) Real World Value LUT Data (FD, 1-n, 1C) LUT Explanation (LO, 1, 1) LUT Label (SH, 1, 1) Measurement Units Code Sequence (SQ, 1, 1) Quantity Definition Sequence (SQ, 1, 3) More...

## Public Member Functions
| FGRealWorldValueMapping ()
| Constructor, creates empty functional group.
virtual | ~FGRealWorldValueMapping ()
| Destructor, frees memory.
virtual FGBase * | clone () const
| Returns a deep copy of this object.
virtual DcmFGTypes::E_FGSharedType | getSharedType () const
| Returns that this functional group can be used as both, shared and per-frame.
virtual void | clearData ()
| Clear all data.
virtual OFCondition | check () const
| Check whether data of functional group is valid.
virtual OFCondition | read (DcmItem &item)
| Read functional group from item, must contain the Real World Value Mapping Sequence.
virtual OFCondition | write (DcmItem &item)
| Writes this functional group to item, i.e. will write the Real World Value Mapping Sequence.
virtual OFVector< RWVMItem * > & | getRealWorldValueMapping ()
| Return references to the various items inside the Real World Value Mapping Sequence.
virtual int | compare (const FGBase &rhs) const
| Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!
Public Member Functions inherited from FGBase
| FGBase (const DcmFGTypes::E_FGType fgType)
| Constructor, creates new functional group of given type.
virtual DcmFGTypes::E_FGType | getType () const
| Return the type of this functional group.
virtual | ~FGBase ()
| Virtual destructor.

## Private Attributes
OFVector< RWVMItem * > | m_Items
| Items (1-n) of Real World Value Mapping Sequence.

## Additional Inherited Members
Protected Member Functions inherited from FGBase
virtual OFCondition | getItemFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, const unsigned long itemNum, DcmItem *&result)
| Get the item containing the payload of a functional group sequence, identified by the functional group's sequence key provided and the desired item number.
virtual OFCondition | getNumItemsFromFGSequence (DcmItem &source, const DcmTagKey &seqKey, unsigned long &result)
| Get number of items in a functional group sequence, identified by the functional group's sequence key.
virtual OFCondition | createNewFGSequence (DcmItem &destination, const DcmTagKey &seqKey, const unsigned long numItems, DcmItem *&firstItem)
| Create functional group sequence specified by given sequence tag key.

## Detailed Description

Class representing the Real World Value Mapping Functional Group that specifies the mapping of stored values to associated Real World values.

## Member Function Documentation

## ◆ check()

virtual OFCondition FGRealWorldValueMapping::check | ( |  | ) | const
| virtual

Check whether data of functional group is valid.

Returns
  EC_Normal if data is valid, error otherwise

Implements FGBase.

## ◆ clone()

virtual FGBase * FGRealWorldValueMapping::clone | ( |  | ) | const
| virtual

Returns a deep copy of this object.

Returns
  Deep copy of this object

Implements FGBase.

References FGBase::FGBase().

## ◆ compare()

virtual int FGRealWorldValueMapping::compare | ( | const FGBase & | rhs | ) | const
| virtual

Comparison operator that compares the normalized value of this object with a given object of the same type, i.e. the elements within both functional groups (this and rhs parameter) are compared by value!

Both objects (this and rhs) need to have the same type (i.e. both FGUnknown) to be comparable. This function is used in order to decide whether a functional group already exists, or is new. This is used in particular to find out whether a given functional group can be shared (i.e. the same information already exists as shared functional group) or is different from the same shared group. In that case the shared functional group must be distributed into per-frame functional groups, instead. The exact implementation for implementing the comparison is not relevant. However, it must be a comparison by value.

Parameters

  rhs | the right hand side of the comparison

Returns
  0 if the object values are equal. -1 if either the value of the first component that does not match is lower in the this object, or all compared components match but this component is shorter. Also returned if this type and rhs type (DcmFGTypes::E_FGType) do not match. 1 if either the value of the first component that does not match is greater in this object, or all compared components match but this component is longer.

Implements FGBase.

References FGBase::FGBase().

## ◆ getRealWorldValueMapping()

virtual OFVector< RWVMItem * > & FGRealWorldValueMapping::getRealWorldValueMapping | ( |  | ) |
| virtual

Return references to the various items inside the Real World Value Mapping Sequence.

Returns
  Reference to Real World Value Mapping Sequence items

## ◆ getSharedType()

virtual DcmFGTypes::E_FGSharedType FGRealWorldValueMapping::getSharedType | ( |  | ) | const
| inlinevirtual

Returns that this functional group can be used as both, shared and per-frame.

Returns
  Always returns DcmFGTypes::EFGS_BOTH

Implements FGBase.

References DcmFGTypes::EFGS_BOTH.

## ◆ read()

virtual OFCondition FGRealWorldValueMapping::read | ( | DcmItem & | item | ) |
| virtual

Read functional group from item, must contain the Real World Value Mapping Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

## ◆ write()

virtual OFCondition FGRealWorldValueMapping::write | ( | DcmItem & | item | ) |
| virtual

Writes this functional group to item, i.e. will write the Real World Value Mapping Sequence.

Parameters

  item | The item to read from

Returns
  EC_Normal if reading was successful, error otherwise

Implements FGBase.

The documentation for this class was generated from the following file:

- dcmfg/include/dcmtk/dcmfg/fgrealworldvaluemapping.h

Generated on Sat Mar 1 2025 for DCMTK Version 3.6.9 by Doxygen 1.13.2